<div class="pager-container">
    <button class="small pager-page-button"
            [ngClass]="{'disabled': currentPage == 0 }"
            [disabled]="currentPage == 0"
            aria-label="Previous"
            (click)="getPreviousPage()">
        &laquo;
    </button>
    <div class="pager-pages">
        <button *ngFor="let page of pages"
                class="small pager-page-button"
                [ngClass]="{'active': page === currentPage}"
                (click)="changePage(page)">
            {{page + 1}}
        </button>
    </div>
    <button class="small pager-page-button"
            [ngClass]="{'disabled': currentPage + 1 >= pagesCount }"
            [disabled]="currentPage + 1 >= pagesCount"
            aria-label="Next"
            (click)="getNextPage()">
        &raquo;
    </button>
    <button class="small pager-page-button"
            (click)="jumpToPage()">
        Jump to custom page
    </button>
</div>